#
# spec file for package autoconf (Version 2.59)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib ctags cvs cyrus-sasl db diffutils e2fsprogs emacs emacs-info emacs-nox file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           autoconf
BuildRequires:  emacs-nox
License:        GPL
Group:          Development/Tools/Building
Autoreqprov:    on
Requires:       m4 = %(rpm -q --qf=%%{VERSION} m4)
PreReq:         %{install_info_prereq}
Version:        2.59
Release:        92.2
Summary:        A GNU Tool for Automatically Configuring Source Code
URL:            http://www.gnu.org/software/autoconf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         autoconf-%{version}.tar.bz2
Patch:          autoconf-%{version}.dif

%description
GNU Autoconf is a tool for configuring source code and makefiles. Using
autoconf, programmers can create portable and configurable packages,
because the person building the package is allowed to specify various
configuration options.

You should install autoconf if you are developing software and would
like to create shell scripts to configure your source code packages.

Note that the autoconf package is not required for the end user who may
be configuring software with an autoconf-generated script; autoconf is
only required for the generation of the scripts, not their use.



Authors:
--------
    Ben Elliston  <bje@cygnus.com>
    David J MacKenzie  <djm@catapult.va.pubnix.com>

%debug_package
%prep
%setup
%patch

%build
%{suse_update_config -f config}
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
make
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/bin/*
%{_prefix}/share/autoconf
%{_prefix}/share/emacs/site-lisp/*.el
%{_prefix}/share/emacs/site-lisp/*.elc
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*.gz

%changelog -n autoconf
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jun 19 2004 - schwab@suse.de
- Require exact version of m4.
* Thu Nov 13 2003 - schwab@suse.de
- Update to autoconf 2.59, incorporates last change.
* Mon Nov 10 2003 - schwab@suse.de
- Fix abs_srcdir.
* Tue Nov 04 2003 - schwab@suse.de
- Update to autoconf 2.58.
* Thu Sep 18 2003 - schwab@suse.de
- Downgrade flock failure to a warning [#26962].
* Mon Sep 08 2003 - schwab@suse.de
- Add patch to serialize access to autom4te cache file [#26962].
* Mon May 12 2003 - schwab@suse.de
- Add %%defattr.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Thu Dec 05 2002 - schwab@suse.de
- Update to autoconf 2.57.
  * Bug fixes for problems with AIX linker, with freestanding C compilers,
  with GNU m4 limitations, and with obsolete copies of GNU documents.
* Fri Nov 15 2002 - schwab@suse.de
- Update to autoconf 2.56.
* Tue Jun 11 2002 - schwab@suse.de
- Fix missing info dir entries.
* Mon May 13 2002 - schwab@suse.de
- Fix invalid node name in docs [#16078].
* Fri Apr 12 2002 - schwab@suse.de
- Remove g77 from neededforbuild.
* Mon Apr 08 2002 - schwab@suse.de
- Run automake last in autoreconf.
* Sun Apr 07 2002 - schwab@suse.de
- Fix _AC_SRCPATHS.
* Thu Apr 04 2002 - schwab@suse.de
- Fix _AS_PATH_WALK.
* Tue Apr 02 2002 - schwab@suse.de
- Fix premature expansion in m4_bmatch.
* Sat Mar 30 2002 - schwab@suse.de
- Handle libltdl in autoreconf.
- Run automake after aclocal in autoreconf.
* Fri Mar 15 2002 - schwab@suse.de
- Handle gettext 0.11 in autoreconf.
* Sat Mar 09 2002 - schwab@suse.de
- Update to autoconf 2.53.
* Sat Jul 21 2001 - schwab@suse.de
- Always set {host,build,target}_alias.
* Thu Jul 19 2001 - schwab@suse.de
- Update to autoconf 2.52.
* Mon Jun 11 2001 - olh@suse.de
- recognize ppc64
* Tue May 22 2001 - schwab@suse.de
- Update to autoconf 2.50.
- Add Buildroot.
* Fri Mar 23 2001 - schwab@suse.de
- Add m4 as neededforbuild.
- Require m4 and gawk.
* Wed Mar 21 2001 - schwab@suse.de
- Set F77 to g77 during `make check'.
* Wed Feb 21 2001 - schwab@suse.de
- Fix AC_PROC_CXXCPP.
- Add %%suse_update_config.
- Don't mark acconfig.h as %%config.
- Run testsuite.
* Thu Jun 01 2000 - kukuk@suse.de
- Add more docu, fill out group tag
* Mon May 01 2000 - kukuk@suse.de
- Use infodir macro
* Fri Mar 24 2000 - schwab@suse.de
- Fix conflicting declaration of exit.
* Tue Jan 18 2000 - schwab@suse.de
- Undefine m4 macro `symbols' (new builtin in m4 1.4o).
* Mon Dec 06 1999 - schwab@suse.de
- Discard output from `type -p'.
* Thu Dec 02 1999 - schwab@suse.de
- Make sure tempfiles are always removed.
- Fix some quoting bugs in shell scripts.
* Thu Nov 04 1999 - ro@suse.de
- fixed for alphaev6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - kukuk@suse.de
- Specfile cleanup
* Fri Jan 15 1999 - ro@suse.de
- update to 2.13
* Thu Jul 23 1998 - werner@suse.de
- Make auto*.sh more secure and use mktemp if avaliable
* Wed Jan 22 1997 - florian@suse.de
- update to version 2.12
